GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/go-typeprint.c File Reference
`#include "defs.h"`
`#include "gdbtypes.h"`
`#include "c-lang.h"`
`#include "go-lang.h"`

Go to the source code of this file.

## Functions
void | go_print_type (struct type *type, const char *varstring, struct ui_file *stream, int show, int level, const struct type_print_options *flags)

## Function Documentation

## ◆ go_print_type()

void go_print_type | ( | struct type * | type,
|  | const char * | varstring,
|  | struct ui_file * | stream,
|  | int | show,
|  | int | level,
|  | const struct type_print_options * | flags
| ) |  |

Definition at line 45 of file go-typeprint.c.

References c_print_type(), check_typedef(), flags, fputs_filtered(), TYPE_CODE, TYPE_CODE_ARRAY, TYPE_CODE_CHAR, and TYPE_TARGET_TYPE.